## ECanvasBackground

ECanvasBackground

## Synopsis

    struct              ECanvasBackground;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GnomeCanvasItem
                   +----ECanvasBackground

## Properties

      "fill-color"               gchar*                : Write
      "fill-color-gdk"           GdkColor*             : Write
      "fill-color-rgba"          guint                 : Read / Write

## Signals

      "style-set"                                      : Run Last

## Description

## Details

### struct ECanvasBackground

    struct ECanvasBackground;

## Property Details

### The `"fill-color"` property

      "fill-color"               gchar*                : Write

Fill color.

Default value: NULL

### The `"fill-color-gdk"` property

      "fill-color-gdk"           GdkColor*             : Write

GDK fill color.

### The `"fill-color-rgba"` property

      "fill-color-rgba"          guint                 : Read / Write

GDK fill color.

Default value: 0

## Signal Details

### The `"style-set"` signal

    void                user_function                      (ECanvasBackground *ecanvasbackground,
                                                            GtkStyle          *arg1,
                                                            gpointer           user_data)              : Run Last